<?php

namespace App\Livewire;

use Livewire\Component;

class DashboardLayout extends Component
{
    public $collapsed = false;
    public $userInfo;
    public $systemPreferences;

    public function mount($userInfo = null, $systemPreferences = null)
    {
        $this->userInfo = $userInfo ?? ['userInfo' => ['firstname' => 'John', 'lastname' => 'Doe']];
        $this->systemPreferences = $systemPreferences;
    }

    public function toggle()
    {
        $this->collapsed = !$this->collapsed;
    }

    public function render()
    {
        return view('livewire.dashboard-layout');
    }
}