<?php

namespace App\Livewire;

use Livewire\Component;

class MainHeader extends Component
{
    public $collapsed = false;

    public function mount($collapsed = false)
    {
        $this->collapsed = $collapsed;
    }

    public function toggle()
    {
        $this->collapsed = !$this->collapsed;
        $this->dispatch('toggleSidebar', $this->collapsed);
    }

    public function render()
    {
        return view('livewire.main-header');
    }
}