<?php

namespace App\Livewire;

use Livewire\Component;

class FetchDataStatus extends Component
{
    public $code = '';
    public $status = '';
    public $data = [];

    public function mount($code = '', $status = '', $data = [])
    {
        $this->code = $code;
        $this->status = $status;
        $this->data = $data;
    }

    public function render()
    {
        return view('livewire.fetch-data-status');
    }
}