<?php

namespace App\Livewire\StationLocator;

use Livewire\Component;
use Illuminate\Support\Facades\Session;

class Fuels extends Component
{
    public function mount()
    {
        // Check role-based access (assumed)
        $userInfo = Session::get('userInfo');
        if (!$userInfo || $userInfo['role'] != 1) {
            return redirect()->route('404');
        }
    }

    public function render()
    {
        return view('livewire.station-locator.fuels')->layout('layouts.app', ['title' => 'Fuels']);
    }
}