<div class="container my-5">
    <h1 class="mb-4">Response Status</h1>
    <div class="card">
        <div class="card-body">
            <h5 class="card-title">Status: {{ array_search($statusCode, $responseCodes) }} ({{ $statusCode }})</h5>
            <p class="card-text">
                Action: {{ $actionTypes[$actionType] ?? 'Unknown Action' }}
            </p>
            <div class="alert {{ $statusCode < 400 ? 'alert-success' : 'alert-danger' }} mt-3">
                @if($statusCode < 400)
                    Success! The operation completed successfully.
                @else
                    Error! Something went wrong with the request.
                @endif
            </div>
        </div>
    </div>
</div>