<x-main-content :routes="[
    ['path' => 'dashboard', 'name' => 'Dashboard'],
    ['path' => 'dashboard/users', 'name' => 'Users'],
    ['path' => 'dashboard/users/123', 'name' => 'User Details', 'params' => true],
]" :root="false">
    <h1>Hello from main content!</h1>
    <p>This is the page body.</p>
</x-main-content>

<x-main-footer />


     <!-- Top nav -->
<!-- @livewire('header-dropdown') -->

<!-- Breadcrumbs -->
<x-main-breadcrumbs :routes="[
    ['path' => 'dashboard', 'name' => 'Dashboard'],
    ['path' => 'dashboard/settings', 'name' => 'Settings'],
    ['path' => 'dashboard/settings/details', 'name' => 'Details', 'params' => true],
]" />


@extends('layouts.app')

@section('content')
    <div class="card">
        <div class="card-body">
            <h1>Welcome</h1>
            <a href="{{ route('fetch.data', 'data') }}" class="btn btn-primary">Fetch Data</a>
            <a href="{{ route('logout') }}" class="btn btn-danger">Logout</a>
        </div>
    </div>
@endsection